de.esprit.netsuite.transl

## Enum TrEnsWin

- java.lang.Object
- - java.lang.Enum<TrEnsWin>
  - - de.esprit.netsuite.transl.TrEnsWin

- All Implemented Interfaces:
    NlsKey, java.io.Serializable, java.lang.Comparable<TrEnsWin>

      public enum TrEnsWin
      extends java.lang.Enum<TrEnsWin>
      implements NlsKey

  Translations for window titles
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABO_CREATE`
    `ABO_TOOL`
    `ACTIVITY_MONITOR`
    `BUSINESS_INSTANCE_ACCESS`
    `CHANGE_PASSWORD`
    `CHAT_TOOL_OF_USER`
    `CLIENT_LIST`
    `CONFIGURE_LOGGING`
    `CONFIGURE_PROCESS`
    `CONNECTION_LOST`
    `DATA_SOURCES`
    `EDIT_TANK_INSTANCE`
    `FILE_DOWNLOAD`
    `FILE_TRANSFERS_LIST`
    `FILE_UPLOAD`
    `FILENAME_INPUT`
    `GRAPH_TOOL`
    `GROUP_MANAGER`
    `LOAD_PROTECT_PARAMS`
    `LOCK_LIST`
    `LOGFILE_LIST`
    `MAIL_LIST`
    `MAMMOTH_TOOL`
    `MESSAGE_TO_CLIENT`
    `PROC_TIMETABLE`
    `PROCESS_HISTORY`
    `RECEIVED_SERVER_EVENTS`
    `REMOTE_TASKS`
    `SCHEDULED_PROCS_LIST`
    `SERVER_PROCESSES`
    `SET_DEFAULT_PASSWORD`
    `START_OS_PROCESS`
    `TEST_TOOL`
    `USER_MANAGER`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `static TrEnsWin` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrEnsWin[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### MAIL_LIST

          public static final TrEnsWin MAIL_LIST

    - #### LOGFILE_LIST

          public static final TrEnsWin LOGFILE_LIST

    - #### CLIENT_LIST

          public static final TrEnsWin CLIENT_LIST

    - #### FILE_TRANSFERS_LIST

          public static final TrEnsWin FILE_TRANSFERS_LIST

    - #### ACTIVITY_MONITOR

          public static final TrEnsWin ACTIVITY_MONITOR

    - #### BUSINESS_INSTANCE_ACCESS

          public static final TrEnsWin BUSINESS_INSTANCE_ACCESS

    - #### ABO_CREATE

          public static final TrEnsWin ABO_CREATE

    - #### EDIT_TANK_INSTANCE

          public static final TrEnsWin EDIT_TANK_INSTANCE

    - #### LOCK_LIST

          public static final TrEnsWin LOCK_LIST

    - #### CONFIGURE_LOGGING

          public static final TrEnsWin CONFIGURE_LOGGING

    - #### CONFIGURE_PROCESS

          public static final TrEnsWin CONFIGURE_PROCESS

    - #### PROC_TIMETABLE

          public static final TrEnsWin PROC_TIMETABLE

    - #### SCHEDULED_PROCS_LIST

          public static final TrEnsWin SCHEDULED_PROCS_LIST

    - #### PROCESS_HISTORY

          public static final TrEnsWin PROCESS_HISTORY

    - #### FILENAME_INPUT

          public static final TrEnsWin FILENAME_INPUT

    - #### CONNECTION_LOST

          public static final TrEnsWin CONNECTION_LOST

    - #### LOAD_PROTECT_PARAMS

          public static final TrEnsWin LOAD_PROTECT_PARAMS

    - #### CHANGE_PASSWORD

          public static final TrEnsWin CHANGE_PASSWORD

    - #### SET_DEFAULT_PASSWORD

          public static final TrEnsWin SET_DEFAULT_PASSWORD

    - #### MESSAGE_TO_CLIENT

          public static final TrEnsWin MESSAGE_TO_CLIENT

    - #### START_OS_PROCESS

          public static final TrEnsWin START_OS_PROCESS

    - #### SERVER_PROCESSES

          public static final TrEnsWin SERVER_PROCESSES

    - #### RECEIVED_SERVER_EVENTS

          public static final TrEnsWin RECEIVED_SERVER_EVENTS

    - #### DATA_SOURCES

          public static final TrEnsWin DATA_SOURCES

    - #### USER_MANAGER

          public static final TrEnsWin USER_MANAGER

    - #### GROUP_MANAGER

          public static final TrEnsWin GROUP_MANAGER

    - #### CHAT_TOOL_OF_USER

          public static final TrEnsWin CHAT_TOOL_OF_USER

    - #### TEST_TOOL

          public static final TrEnsWin TEST_TOOL

    - #### MAMMOTH_TOOL

          public static final TrEnsWin MAMMOTH_TOOL

    - #### GRAPH_TOOL

          public static final TrEnsWin GRAPH_TOOL

    - #### ABO_TOOL

          public static final TrEnsWin ABO_TOOL

    - #### REMOTE_TASKS

          public static final TrEnsWin REMOTE_TASKS

    - #### FILE_DOWNLOAD

          public static final TrEnsWin FILE_DOWNLOAD

    - #### FILE_UPLOAD

          public static final TrEnsWin FILE_UPLOAD

  - ### Method Detail

    - #### values

          public static TrEnsWin[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrEnsWin c : TrEnsWin.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrEnsWin valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.